/*
    Copyright (C) 2012-2018 Rudolf Cardinal (rudolf@pobox.com).

    This file is part of CamCOPS.

    CamCOPS is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    CamCOPS is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with CamCOPS. If not, see <http://www.gnu.org/licenses/>.
*/

#include "cognitivemenu.h"
#include "common/uiconst.h"
#include "lib/uifunc.h"
#include "menulib/menuitem.h"

#include "tasks/ace3.h"
#include "tasks/moca.h"
#include "tasks/nart.h"
#include "tasks/slums.h"


CognitiveMenu::CognitiveMenu(CamcopsApp& app) :
    MenuWindow(app, tr("Cognitive assessment"),
               uifunc::iconFilename(uiconst::ICON_COGNITIVE))
{
    m_items = {
        MAKE_CHANGE_PATIENT(app),
        MAKE_TASK_MENU_ITEM(Ace3::ACE3_TABLENAME, app),
        MAKE_TASK_MENU_ITEM(Moca::MOCA_TABLENAME, app),
        MAKE_TASK_MENU_ITEM(Slums::SLUMS_TABLENAME, app),
        MAKE_TASK_MENU_ITEM(Nart::NART_TABLENAME, app),
    };
}
